Modify

Opened 4 years ago

Closed 4 years ago

Last modified 16 months ago

#12124 closed defect (wontfix)

fread failure or file "<..>/build_dir/linux-brcm47xx/fs_mark" too large

Reported by: risa2000 Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: toolchain Version: Trunk
Keywords: Cc:

Description

Building brcm47xx from trunk (r33311) for ImageBuilder I am getting following error (see the end of the log):

make[1]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
echo 'Building images for brcm47xx'
Building images for brcm47xx
echo 'Packages: aiccu base-files bridge busybox crda dnsmasq dropbear e2fsprogs firewall hotplug2 ip ip6tables iptables iptables-mod-conntrack-extra iptables-mod-extra iptables-mod-filter iptables-mod-hashlimit iptables-mod-ipopt iptables-mod-iprange iptables-mod-ipsec iptables-mod-ipset iptables-mod-led iptables-mod-nat-extra iptables-mod-tproxy iptables-mod-u32 iptables-mod-ulog iw kernel kmod-ath kmod-ath5k kmod-ath9k kmod-diag kmod-fs-ext4 kmod-fs-vfat kmod-ip6tables kmod-ipt-nathelper kmod-ipv6 kmod-nls-base kmod-nls-cp437 kmod-nls-iso8859-1 kmod-nls-utf8 kmod-scsi-core kmod-switch kmod-tun kmod-usb-core kmod-usb-printer kmod-usb-storage kmod-usb-uhci kmod-usb2 libc libgcc mtd netifd ntpd nvram openvpn opkg pciutils radvd snmp-utils snmpd tc tcpdump uci vim-full vim-runtime wireless-tools wpad-mini zlib'
Packages: aiccu base-files bridge busybox crda dnsmasq dropbear e2fsprogs firewall hotplug2 ip ip6tables iptables iptables-mod-conntrack-extra iptables-mod-extra iptables-mod-filter iptables-mod-hashlimit iptables-mod-ipopt iptables-mod-iprange iptables-mod-ipsec iptables-mod-ipset iptables-mod-led iptables-mod-nat-extra iptables-mod-tproxy iptables-mod-u32 iptables-mod-ulog iw kernel kmod-ath kmod-ath5k kmod-ath9k kmod-diag kmod-fs-ext4 kmod-fs-vfat kmod-ip6tables kmod-ipt-nathelper kmod-ipv6 kmod-nls-base kmod-nls-cp437 kmod-nls-iso8859-1 kmod-nls-utf8 kmod-scsi-core kmod-switch kmod-tun kmod-usb-core kmod-usb-printer kmod-usb-storage kmod-usb-uhci kmod-usb2 libc libgcc mtd netifd ntpd nvram openvpn opkg pciutils radvd snmp-utils snmpd tc tcpdump uci vim-full vim-runtime wireless-tools wpad-mini zlib
echo

rm -rf /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx
mkdir -p /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/bin/brcm47xx /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp
if [ ! -f "/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages/Packages" ] || [ ! -f "/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages/Packages.gz" ] || [ "`find /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages -cnewer /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages/Packages.gz`" ]; then \
	echo "Package list missing or not up-to-date, generating it.";\
	make package_index; \
else \
	mkdir -p /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx/tmp; \
	IPKG_TMP="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp/ipkgtmp" IPKG_INSTROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" IPKG_CONF_DIR="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp" IPKG_OFFLINE_ROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/opkg -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/repositories.conf --force-depends --force-overwrite --force-postinstall --cache /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/dl --offline-root /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx --add-dest root:/ --add-arch all:100 --add-arch brcm47xx:200 update; \
fi
Package list missing or not up-to-date, generating it.
make[2]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'

Building package index...
(cd /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages; /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/scripts/ipkg-make-index.sh . > Packages && \
	gzip -9c Packages > Packages.gz \
) >/dev/null 2>/dev/null
IPKG_TMP="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp/ipkgtmp" IPKG_INSTROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" IPKG_CONF_DIR="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp" IPKG_OFFLINE_ROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/opkg -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/repositories.conf --force-depends --force-overwrite --force-postinstall --cache /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/dl --offline-root /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx --add-dest root:/ --add-arch all:100 --add-arch brcm47xx:200 update
Downloading file:packages/Packages.
Updated list of available packages in /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx//usr/lib/opkg/lists/imagebuilder.
make[2]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make package_install
make[2]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'

Installing packages...
IPKG_TMP="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp/ipkgtmp" IPKG_INSTROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" IPKG_CONF_DIR="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp" IPKG_OFFLINE_ROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/opkg -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/repositories.conf --force-depends --force-overwrite --force-postinstall --cache /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/dl --offline-root /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx --add-dest root:/ --add-arch all:100 --add-arch brcm47xx:200 install /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages/libc_*.ipk
Installing libc (0.9.33.2-1) to root...
Installing libgcc (4.7-linaro-1) to root...
Downloading file:packages/libgcc_4.7-linaro-1_brcm47xx.ipk.
Configuring libgcc.
Configuring libc.
IPKG_TMP="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp/ipkgtmp" IPKG_INSTROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" IPKG_CONF_DIR="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp" IPKG_OFFLINE_ROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/opkg -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/repositories.conf --force-depends --force-overwrite --force-postinstall --cache /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/dl --offline-root /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx --add-dest root:/ --add-arch all:100 --add-arch brcm47xx:200 install /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/packages/kernel_*.ipk
Installing kernel (3.3.8-1-10c6537263a6c6b77e3051072c39baf5) to root...
Configuring kernel.
IPKG_TMP="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp/ipkgtmp" IPKG_INSTROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" IPKG_CONF_DIR="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/tmp" IPKG_OFFLINE_ROOT="/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx" /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/opkg -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/repositories.conf --force-depends --force-overwrite --force-postinstall --cache /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/dl --offline-root /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx --add-dest root:/ --add-arch all:100 --add-arch brcm47xx:200 install aiccu base-files bridge busybox crda dnsmasq dropbear e2fsprogs firewall hotplug2 ip ip6tables iptables iptables-mod-conntrack-extra iptables-mod-extra iptables-mod-filter iptables-mod-hashlimit iptables-mod-ipopt iptables-mod-iprange iptables-mod-ipsec iptables-mod-ipset iptables-mod-led iptables-mod-nat-extra iptables-mod-tproxy iptables-mod-u32 iptables-mod-ulog iw kernel kmod-ath kmod-ath5k kmod-ath9k kmod-diag kmod-fs-ext4 kmod-fs-vfat kmod-ip6tables kmod-ipt-nathelper kmod-ipv6 kmod-nls-base kmod-nls-cp437 kmod-nls-iso8859-1 kmod-nls-utf8 kmod-scsi-core kmod-switch kmod-tun kmod-usb-core kmod-usb-printer kmod-usb-storage kmod-usb-uhci kmod-usb2 libc libgcc mtd netifd ntpd nvram openvpn opkg pciutils radvd snmp-utils snmpd tc tcpdump uci vim-full vim-runtime wireless-tools wpad-mini zlib
Installing aiccu (20070115-10) to root...
Downloading file:packages/aiccu_20070115-10_brcm47xx.ipk.
Installing libpthread (0.9.33.2-1) to root...
Downloading file:packages/libpthread_0.9.33.2-1_brcm47xx.ipk.
Installing ip (3.3.0-1) to root...
Downloading file:packages/ip_3.3.0-1_brcm47xx.ipk.
Installing libnl-tiny (0.1-3) to root...
Downloading file:packages/libnl-tiny_0.1-3_brcm47xx.ipk.
Installing kmod-sit (3.3.8-1) to root...
Downloading file:packages/kmod-sit_3.3.8-1_brcm47xx.ipk.
Installing kmod-ipv6 (3.3.8-1) to root...
Downloading file:packages/kmod-ipv6_3.3.8-1_brcm47xx.ipk.
Installing kmod-iptunnel4 (3.3.8-1) to root...
Downloading file:packages/kmod-iptunnel4_3.3.8-1_brcm47xx.ipk.
Installing kmod-tun (3.3.8-1) to root...
Downloading file:packages/kmod-tun_3.3.8-1_brcm47xx.ipk.
Installing base-files (115-r33311) to root...
Downloading file:packages/base-files_115-r33311_brcm47xx.ipk.
Installing netifd (2012-08-11-9411d498c46fe3f1c4d79eb8fa0b7c97dd32a990) to root...
Downloading file:packages/netifd_2012-08-11-9411d498c46fe3f1c4d79eb8fa0b7c97dd32a990_brcm47xx.ipk.
Installing libuci (2012-03-28.1-1) to root...
Downloading file:packages/libuci_2012-03-28.1-1_brcm47xx.ipk.
Installing libubus (2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9) to root...
Downloading file:packages/libubus_2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9_brcm47xx.ipk.
Installing libubox (2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164) to root...
Downloading file:packages/libubox_2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164_brcm47xx.ipk.
Installing ubus (2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9) to root...
Downloading file:packages/ubus_2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9_brcm47xx.ipk.
Installing libblobmsg-json (2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164) to root...
Downloading file:packages/libblobmsg-json_2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164_brcm47xx.ipk.
Installing libjson (0.9-2) to root...
Downloading file:packages/libjson_0.9-2_brcm47xx.ipk.
Installing ubusd (2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9) to root...
Downloading file:packages/ubusd_2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9_brcm47xx.ipk.
Installing jshn (2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164) to root...
Downloading file:packages/jshn_2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164_brcm47xx.ipk.
Installing bridge (1.5-1) to root...
Downloading file:packages/bridge_1.5-1_brcm47xx.ipk.
Installing busybox (1.19.4-3) to root...
Downloading file:packages/busybox_1.19.4-3_brcm47xx.ipk.
Installing crda (1.1.2-1) to root...
Downloading file:packages/crda_1.1.2-1_brcm47xx.ipk.
Installing dnsmasq (2.62-2) to root...
Downloading file:packages/dnsmasq_2.62-2_brcm47xx.ipk.
Installing dropbear (2011.54-2) to root...
Downloading file:packages/dropbear_2011.54-2_brcm47xx.ipk.
Installing e2fsprogs (1.42.4-1) to root...
Downloading file:packages/e2fsprogs_1.42.4-1_brcm47xx.ipk.
Installing libblkid (2.21.2-1) to root...
Downloading file:packages/libblkid_2.21.2-1_brcm47xx.ipk.
Installing libuuid (2.21.2-1) to root...
Downloading file:packages/libuuid_2.21.2-1_brcm47xx.ipk.
Installing libext2fs (1.42.4-1) to root...
Downloading file:packages/libext2fs_1.42.4-1_brcm47xx.ipk.
Installing libcom_err (1.42.4-1) to root...
Downloading file:packages/libcom_err_1.42.4-1_brcm47xx.ipk.
Installing firewall (2-53) to root...
Downloading file:packages/firewall_2-53_all.ipk.
Installing iptables (1.4.10-4) to root...
Downloading file:packages/iptables_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-core (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-core_3.3.8-1_brcm47xx.ipk.
Installing libip4tc (1.4.10-4) to root...
Downloading file:packages/libip4tc_1.4.10-4_brcm47xx.ipk.
Installing libxtables (1.4.10-4) to root...
Downloading file:packages/libxtables_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-conntrack (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-conntrack_3.3.8-1_brcm47xx.ipk.
Installing kmod-ipt-nat (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-nat_3.3.8-1_brcm47xx.ipk.
Installing hotplug2 (1.0-beta-4) to root...
Downloading file:packages/hotplug2_1.0-beta-4_brcm47xx.ipk.
Package ip (3.3.0-1) installed in root is up to date.
Installing ip6tables (1.4.10-4) to root...
Downloading file:packages/ip6tables_1.4.10-4_brcm47xx.ipk.
Installing kmod-ip6tables (3.3.8-1) to root...
Downloading file:packages/kmod-ip6tables_3.3.8-1_brcm47xx.ipk.
Installing libip6tc (1.4.10-4) to root...
Downloading file:packages/libip6tc_1.4.10-4_brcm47xx.ipk.
Package iptables (1.4.10-4) installed in root is up to date.
Installing iptables-mod-conntrack-extra (1.4.10-4) to root...
Downloading file:packages/iptables-mod-conntrack-extra_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-conntrack-extra (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-conntrack-extra_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-extra (1.4.10-4) to root...
Downloading file:packages/iptables-mod-extra_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-extra (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-extra_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-filter (1.4.10-4) to root...
Downloading file:packages/iptables-mod-filter_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-filter (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-filter_3.3.8-1_brcm47xx.ipk.
Installing kmod-lib-textsearch (3.3.8-1) to root...
Downloading file:packages/kmod-lib-textsearch_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-hashlimit (1.4.10-4) to root...
Downloading file:packages/iptables-mod-hashlimit_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-hashlimit (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-hashlimit_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-ipopt (1.4.10-4) to root...
Downloading file:packages/iptables-mod-ipopt_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-ipopt (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-ipopt_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-iprange (1.4.10-4) to root...
Downloading file:packages/iptables-mod-iprange_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-iprange (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-iprange_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-ipsec (1.4.10-4) to root...
Downloading file:packages/iptables-mod-ipsec_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-ipsec (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-ipsec_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-ipset (1.4.10-4) to root...
Downloading file:packages/iptables-mod-ipset_1.4.10-4_brcm47xx.ipk.
Installing iptables-mod-led (1.4.10-4) to root...
Downloading file:packages/iptables-mod-led_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-led (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-led_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-nat-extra (1.4.10-4) to root...
Downloading file:packages/iptables-mod-nat-extra_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-nat-extra (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-nat-extra_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-tproxy (1.4.10-4) to root...
Downloading file:packages/iptables-mod-tproxy_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-tproxy (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-tproxy_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-u32 (1.4.10-4) to root...
Downloading file:packages/iptables-mod-u32_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-u32 (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-u32_3.3.8-1_brcm47xx.ipk.
Installing iptables-mod-ulog (1.4.10-4) to root...
Downloading file:packages/iptables-mod-ulog_1.4.10-4_brcm47xx.ipk.
Installing kmod-ipt-ulog (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-ulog_3.3.8-1_brcm47xx.ipk.
Installing iw (3.3-1) to root...
Downloading file:packages/iw_3.3-1_brcm47xx.ipk.
Package kernel (3.3.8-1-10c6537263a6c6b77e3051072c39baf5) installed in root is up to date.
Installing kmod-ath (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-ath_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing kmod-mac80211 (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-mac80211_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing kmod-crypto-core (3.3.8-1) to root...
Downloading file:packages/kmod-crypto-core_3.3.8-1_brcm47xx.ipk.
Installing kmod-crypto-arc4 (3.3.8-1) to root...
Downloading file:packages/kmod-crypto-arc4_3.3.8-1_brcm47xx.ipk.
Installing kmod-crypto-aes (3.3.8-1) to root...
Downloading file:packages/kmod-crypto-aes_3.3.8-1_brcm47xx.ipk.
Installing kmod-cfg80211 (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-cfg80211_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing wireless-tools (29-5) to root...
Downloading file:packages/wireless-tools_29-5_brcm47xx.ipk.
Installing kmod-ath5k (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-ath5k_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing kmod-ath9k (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-ath9k_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing kmod-ath9k-common (3.3.8+2012-07-16-1) to root...
Downloading file:packages/kmod-ath9k-common_3.3.8+2012-07-16-1_brcm47xx.ipk.
Installing kmod-diag (3.3.8-10) to root...
Downloading file:packages/kmod-diag_3.3.8-10_brcm47xx.ipk.
Installing kmod-fs-ext4 (3.3.8-1) to root...
Downloading file:packages/kmod-fs-ext4_3.3.8-1_brcm47xx.ipk.
Installing kmod-lib-crc16 (3.3.8-1) to root...
Downloading file:packages/kmod-lib-crc16_3.3.8-1_brcm47xx.ipk.
Installing kmod-fs-vfat (3.3.8-1) to root...
Downloading file:packages/kmod-fs-vfat_3.3.8-1_brcm47xx.ipk.
Installing kmod-nls-base (3.3.8-1) to root...
Downloading file:packages/kmod-nls-base_3.3.8-1_brcm47xx.ipk.
Package kmod-ip6tables (3.3.8-1) installed in root is up to date.
Installing kmod-ipt-nathelper (3.3.8-1) to root...
Downloading file:packages/kmod-ipt-nathelper_3.3.8-1_brcm47xx.ipk.
Package kmod-ipv6 (3.3.8-1) installed in root is up to date.
Package kmod-nls-base (3.3.8-1) installed in root is up to date.
Installing kmod-nls-cp437 (3.3.8-1) to root...
Downloading file:packages/kmod-nls-cp437_3.3.8-1_brcm47xx.ipk.
Installing kmod-nls-iso8859-1 (3.3.8-1) to root...
Downloading file:packages/kmod-nls-iso8859-1_3.3.8-1_brcm47xx.ipk.
Installing kmod-nls-utf8 (3.3.8-1) to root...
Downloading file:packages/kmod-nls-utf8_3.3.8-1_brcm47xx.ipk.
Installing kmod-scsi-core (3.3.8-1) to root...
Downloading file:packages/kmod-scsi-core_3.3.8-1_brcm47xx.ipk.
Installing kmod-switch (3.3.8-5) to root...
Downloading file:packages/kmod-switch_3.3.8-5_brcm47xx.ipk.
Package kmod-tun (3.3.8-1) installed in root is up to date.
Installing kmod-usb-core (3.3.8-1) to root...
Downloading file:packages/kmod-usb-core_3.3.8-1_brcm47xx.ipk.
Installing kmod-usb-printer (3.3.8-1) to root...
Downloading file:packages/kmod-usb-printer_3.3.8-1_brcm47xx.ipk.
Installing kmod-usb-storage (3.3.8-1) to root...
Downloading file:packages/kmod-usb-storage_3.3.8-1_brcm47xx.ipk.
Installing kmod-usb-uhci (3.3.8-1) to root...
Downloading file:packages/kmod-usb-uhci_3.3.8-1_brcm47xx.ipk.
Installing kmod-usb2 (3.3.8-1) to root...
Downloading file:packages/kmod-usb2_3.3.8-1_brcm47xx.ipk.
Installing kmod-usb-brcm47xx (3.3.8-1) to root...
Downloading file:packages/kmod-usb-brcm47xx_3.3.8-1_brcm47xx.ipk.
Package libc (0.9.33.2-1) installed in root is up to date.
Package libgcc (4.7-linaro-1) installed in root is up to date.
Installing mtd (18) to root...
Downloading file:packages/mtd_18_brcm47xx.ipk.
Package netifd (2012-08-11-9411d498c46fe3f1c4d79eb8fa0b7c97dd32a990) installed in root is up to date.
Installing ntpd (4.2.6p5-1) to root...
Downloading file:packages/ntpd_4.2.6p5-1_brcm47xx.ipk.
Installing libcap (2.22-1) to root...
Downloading file:packages/libcap_2.22-1_brcm47xx.ipk.
Installing nvram (9) to root...
Downloading file:packages/nvram_9_brcm47xx.ipk.
Installing openvpn (2.2.2-2) to root...
Downloading file:packages/openvpn_2.2.2-2_brcm47xx.ipk.
Installing libopenssl (1.0.1c-1) to root...
Downloading file:packages/libopenssl_1.0.1c-1_brcm47xx.ipk.
Installing zlib (1.2.7-1) to root...
Downloading file:packages/zlib_1.2.7-1_brcm47xx.ipk.
Installing liblzo (2.06-1) to root...
Downloading file:packages/liblzo_2.06-1_brcm47xx.ipk.
Installing opkg (618-2) to root...
Downloading file:packages/opkg_618-2_brcm47xx.ipk.
Installing pciutils (3.1.10-1) to root...
Downloading file:packages/pciutils_3.1.10-1_brcm47xx.ipk.
Installing radvd (1.9.1-1) to root...
Downloading file:packages/radvd_1.9.1-1_brcm47xx.ipk.
Installing libdaemon (0.14-2) to root...
Downloading file:packages/libdaemon_0.14-2_brcm47xx.ipk.
Installing snmp-utils (5.4.2.1-5) to root...
Downloading file:packages/snmp-utils_5.4.2.1-5_brcm47xx.ipk.
Installing libnetsnmp (5.4.2.1-5) to root...
Downloading file:packages/libnetsnmp_5.4.2.1-5_brcm47xx.ipk.
Installing libelf (0.8.13-1) to root...
Downloading file:packages/libelf_0.8.13-1_brcm47xx.ipk.
Installing snmpd (5.4.2.1-5) to root...
Downloading file:packages/snmpd_5.4.2.1-5_brcm47xx.ipk.
Installing tc (3.3.0-1) to root...
Downloading file:packages/tc_3.3.0-1_brcm47xx.ipk.
Installing kmod-sched-core (3.3.8-1) to root...
Downloading file:packages/kmod-sched-core_3.3.8-1_brcm47xx.ipk.
Installing tcpdump (4.2.1-1) to root...
Downloading file:packages/tcpdump_4.2.1-1_brcm47xx.ipk.
Installing libpcap (1.1.1-2) to root...
Downloading file:packages/libpcap_1.1.1-2_brcm47xx.ipk.
Installing uci (2012-03-28.1-1) to root...
Downloading file:packages/uci_2012-03-28.1-1_brcm47xx.ipk.
Installing vim-full (7.3-1) to root...
Downloading file:packages/vim-full_7.3-1_brcm47xx.ipk.
Installing libncurses (5.7-5) to root...
Downloading file:packages/libncurses_5.7-5_brcm47xx.ipk.
Installing terminfo (5.7-5) to root...
Downloading file:packages/terminfo_5.7-5_brcm47xx.ipk.
Installing vim-runtime (7.3-1) to root...
Downloading file:packages/vim-runtime_7.3-1_brcm47xx.ipk.
Package wireless-tools (29-5) installed in root is up to date.
Installing wpad-mini (20120428-2) to root...
Downloading file:packages/wpad-mini_20120428-2_brcm47xx.ipk.
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
 91  190k   91  173k    0     0   309k      0 --:--:-- --:--:-- --:--:--  344k
100  190k  100  190k    0     0   309k      0 --:--:-- --:--:-- --:--:--  340k
Done.
Package zlib (1.2.7-1) installed in root is up to date.
Configuring libelf.
Configuring libnetsnmp.
Configuring snmp-utils.
Configuring kmod-scsi-core.
Configuring kmod-nls-base.
Configuring kmod-usb-core.
Configuring kmod-usb-storage.
Configuring terminfo.
Configuring kmod-lib-textsearch.
Configuring opkg.
Configuring kmod-ipt-core.
Configuring libip4tc.
Configuring libxtables.
Configuring iptables.
Configuring kmod-ipt-extra.
Configuring iptables-mod-extra.
Configuring libnl-tiny.
Configuring ip.
Configuring libpthread.
Configuring libubox.
Configuring libubus.
Configuring libjson.
Configuring libblobmsg-json.
Configuring ubusd.
Configuring ubus.
Configuring iw.
Configuring busybox.
Configuring kmod-usb-brcm47xx.
Configuring kmod-ipv6.
Configuring kmod-ipt-tproxy.
Configuring kmod-ipt-ulog.
Configuring kmod-tun.
Configuring kmod-diag.
Configuring kmod-usb-printer.
Configuring kmod-ipt-filter.
Configuring kmod-ipt-conntrack.
Configuring kmod-ipt-nat.
Configuring kmod-ipt-nat-extra.
Configuring libcap.
Configuring libuci.
Configuring jshn.
Configuring netifd.
Configuring base-files.
Configuring kmod-lib-crc16.
Configuring libcom_err.
Configuring zlib.
Configuring libopenssl.
Configuring liblzo.
Configuring openvpn.
Configuring kmod-switch.
Configuring pciutils.
Configuring dnsmasq.
Configuring libuuid.
Configuring libblkid.
Configuring iptables-mod-nat-extra.
Configuring kmod-crypto-core.
Configuring kmod-crypto-arc4.
Configuring kmod-crypto-aes.
Configuring wireless-tools.
Configuring kmod-cfg80211.
Configuring kmod-mac80211.
Configuring kmod-ath.
Configuring kmod-ath5k.
Configuring kmod-ipt-ipsec.
Configuring iptables-mod-ipsec.
Configuring iptables-mod-ipset.
Configuring kmod-fs-vfat.
Configuring kmod-ipt-iprange.
Configuring iptables-mod-iprange.
Configuring kmod-usb2.
Configuring firewall.
Configuring ntpd.
Configuring kmod-ipt-conntrack-extra.
Configuring kmod-sched-core.
Configuring tc.
Configuring libpcap.
Configuring tcpdump.
Configuring kmod-ip6tables.
Configuring libdaemon.
Configuring kmod-ath9k-common.
Configuring kmod-ath9k.
Configuring kmod-ipt-ipopt.
Configuring iptables-mod-ipopt.
Configuring uci.
Configuring kmod-fs-ext4.
Configuring wpad-mini.
Configuring dropbear.
Configuring kmod-nls-utf8.
Configuring kmod-nls-cp437.
Configuring mtd.
Configuring kmod-ipt-hashlimit.
Configuring libip6tc.
Configuring nvram.
Configuring snmpd.
Configuring iptables-mod-tproxy.
Configuring iptables-mod-hashlimit.
Configuring iptables-mod-filter.
Configuring hotplug2.
Configuring kmod-ipt-nathelper.
Configuring kmod-iptunnel4.
Configuring kmod-sit.
Configuring bridge.
Configuring libncurses.
Configuring libext2fs.
Configuring e2fsprogs.
Configuring vim-full.
Configuring iptables-mod-conntrack-extra.
Configuring kmod-ipt-u32.
Configuring iptables-mod-u32.
Configuring ip6tables.
Configuring aiccu.
Configuring kmod-nls-iso8859-1.
Configuring crda.
Configuring radvd.
Configuring kmod-usb-uhci.
Configuring vim-runtime.
Configuring kmod-ipt-led.
Configuring iptables-mod-led.
Configuring iptables-mod-ulog.
rm -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx/usr/lib/opkg/lists/*
make[2]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make copy_files
make[2]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'

Copying extra files
cp -fpR /home/risa/openwrt/files.brcm47xx/* /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx/
make[2]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make package_postinst
make[2]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'

Cleaning up

Activating init scripts
make[2]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make build_image
make[2]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'

Building images...
make V=ss -C target/linux/brcm47xx/image install TARGET_BUILD=1 IB=1 \
	PROFILE="brcm47xx"
make[3]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/target/linux/brcm47xx/image'
# Preserve permissions (-p) when building as non-root user
/bin/tar -czpf /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/bin/brcm47xx/openwrt-brcm47xx-rootfs.tar.gz --numeric-owner --owner=0 --group=0 -C /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx/ .
/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/mksquashfs4 /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/target-mipsel_uClibc-0.9.33.2/root-brcm47xx /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/root.squashfs -nopad -noappend -root-owned -comp xz -Xpreset 9 -Xe -Xlc 0 -Xlp 2 -Xpb 2 -b 256k -processors 1
Parallel mksquashfs: Using 1 processor
Creating 4.0 filesystem on /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/root.squashfs, block size 262144.

[|                                                             ]    0/1813   0%
[======/                                                       ]  200/1813  11%
[==============================/                               ]  900/1813  49%
[=================================/                            ] 1000/1813  55%
[=====================================/                        ] 1100/1813  60%
[========================================/                     ] 1200/1813  66%
[===========================================/                  ] 1300/1813  71%
[==================================================/           ] 1500/1813  82%
[=====================================================/        ] 1600/1813  88%
[=========================================================/    ] 1700/1813  93%
[============================================================/ ] 1800/1813  99%
[=============================================================/] 1813/1813 100%
Exportable Squashfs 4.0 filesystem, xz compressed, data block size 262144
	compressed data, compressed metadata, compressed fragments, no xattrs
	duplicates are removed
Filesystem size 6196.07 Kbytes (6.05 Mbytes)
	29.13% of uncompressed filesystem size (21267.86 Kbytes)
Inode table size 15498 bytes (15.13 Kbytes)
	22.54% of uncompressed inode table size (68761 bytes)
Directory table size 18828 bytes (18.39 Kbytes)
	45.88% of uncompressed directory table size (41040 bytes)
Number of duplicate files found 8
Number of inodes 2098
Number of files 1791
Number of fragments 56
Number of symbolic links  225
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 82
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
	root (0)
/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/staging_dir/host/bin/trx -o /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/bin/brcm47xx/openwrt-brcm47xx-squashfs.trx -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/loader.gz -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/vmlinux.lzma -a 1024 -f /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/root.squashfs  -a 0x10000 -A /home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/fs_mark
mjn3's trx replacement - v0.81.1
fread failure or file "/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/fs_mark" too large
make[3]: *** [install] Error 1
make[3]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/target/linux/brcm47xx/image'
make[2]: *** [build_image] Error 2
make[2]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make[1]: *** [_call_image] Error 2
make[1]: Leaving directory `/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64'
make: *** [image] Error 2
`/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/bin/brcm47xx/openwrt-brcm47xx-rootfs.tar.gz' -> `/home/risa/openwrt/images/brcm47xx/openwrt-brcm47xx-rootfs.tar.gz'
`/home/risa/openwrt/OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/bin/brcm47xx/openwrt-brcm47xx-squashfs.trx' -> `/home/risa/openwrt/images/brcm47xx/openwrt-brcm47xx-squashfs.trx'

checking the size of the file fs_mark gives

risa@gentoo-vb ~/openwrt/openwrt $ ls -la ../OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/fs_mark
-rw-r--r-- 1 risa risa 262148 Sep  2 13:14 ../OpenWrt-ImageBuilder-brcm47xx-for-pc-x86_64/build_dir/linux-brcm47xx/fs_mark

Last time I built the same config (same packages), but with different revisions and kernel was in May 2012.
The filesystem in new build seems slightly bigger, but I am not sure it should be a problem as I am building for ASUS WL-500gP v1, which has 8MB of flash.

Attachments (0)

Change History (4)

comment:1 Changed 4 years ago by jow

  • Resolution set to wontfix
  • Status changed from new to closed

You simply included too much stuff.

comment:2 Changed 4 years ago by risa2000

I thought the max size should be 8MB, but as this seems not to be case, is there a way to determine maximum size which will be accepted?

I am currently building similar image for TL-WR1043ND which has similar footprint fine:

Building images...
make V=ss -C target/linux/ar71xx/image install TARGET_BUILD=1 IB=1 \
	PROFILE="TLWR1043"
make[3]: Entering directory `/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/target/linux/ar71xx/image'
cp /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.elf /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-vmlinux.elf
cp /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-vmlinux.bin
dd if=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.bin.lzma of=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-vmlinux.lzma bs=65536 conv=sync
14+1 records in
15+0 records out
983040 bytes (983 kB) copied, 0.0898763 s, 10.9 MB/s
dd if=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.bin.gz of=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-vmlinux.gz bs=65536 conv=sync
20+1 records in
21+0 records out
1376256 bytes (1.4 MB) copied, 0.0784742 s, 17.5 MB/s
mkimage -A mips -O linux -T kernel -a 0x80060000 -C gzip  -e 0x80060000 -n 'MIPS OpenWrt Linux-3.3.8' -d /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.bin.gz /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-uImage-gzip.bin
Image Name:   MIPS OpenWrt Linux-3.3.8
Created:      Sun Sep  2 21:55:13 2012
Image Type:   MIPS Linux Kernel Image (gzip compressed)
Data Size:    1339593 Bytes = 1308.20 kB = 1.28 MB
Load Address: 80060000
Entry Point:  80060000
mkimage -A mips -O linux -T kernel -a 0x80060000 -C lzma  -e 0x80060000 -n 'MIPS OpenWrt Linux-3.3.8' -d /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.bin.lzma /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-uImage-lzma.bin
Image Name:   MIPS OpenWrt Linux-3.3.8
Created:      Sun Sep  2 21:55:13 2012
Image Type:   MIPS Linux Kernel Image (lzma compressed)
Data Size:    968361 Bytes = 945.67 kB = 0.92 MB
Load Address: 80060000
Entry Point:  80060000
mkdir -p /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/tmp
# Preserve permissions (-p) when building as non-root user
/bin/tar -czpf /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-rootfs.tar.gz --numeric-owner --owner=0 --group=0 -C /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/target-mips_r2_uClibc-0.9.33.2/root-ar71xx/ .
/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/staging_dir/host/bin/mksquashfs4 /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/target-mips_r2_uClibc-0.9.33.2/root-ar71xx /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs -nopad -noappend -root-owned -comp xz -Xpreset 9 -Xe -Xlc 0 -Xlp 2 -Xpb 2 -b 256k -processors 1
Parallel mksquashfs: Using 1 processor
Creating 4.0 filesystem on /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs, block size 262144.

[|                                                             ]    0/1893   0%
[=============================/                                ]  900/1893  47%
[=========================================/                    ] 1300/1893  68%
[=============================================/                ] 1400/1893  73%
[================================================/             ] 1500/1893  79%
[===================================================/          ] 1600/1893  84%
[======================================================/       ] 1700/1893  89%
[==========================================================/   ] 1800/1893  95%
[=============================================================/] 1893/1893 100%
Exportable Squashfs 4.0 filesystem, xz compressed, data block size 262144
	compressed data, compressed metadata, compressed fragments, no xattrs
	duplicates are removed
Filesystem size 6089.04 Kbytes (5.95 Mbytes)
	28.94% of uncompressed filesystem size (21038.32 Kbytes)
Inode table size 16226 bytes (15.85 Kbytes)
	22.70% of uncompressed inode table size (71495 bytes)
Directory table size 19792 bytes (19.33 Kbytes)
	45.81% of uncompressed directory table size (43206 bytes)
Number of duplicate files found 9
Number of inodes 2183
Number of files 1870
Number of fragments 54
Number of symbolic links  225
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 88
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
	root (0)
cp /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs-raw
cp /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs-64k
/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/staging_dir/host/bin/padjffs2 /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs-64k 64
padding image to 00600000
cp /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs-64k /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-root.squashfs-64k
/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/staging_dir/host/bin/padjffs2 /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs 4 8 64 128 256
padding image to 005f3000
padding image to 005f4000
padding image to 00600000
dd if=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs of=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-root.squashfs bs=128k conv=sync
48+1 records in
49+0 records out
6422528 bytes (6.4 MB) copied, 0.0125341 s, 512 MB/s
[ -e "/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/loader-tl-wr1043nd-v1.gz" ]
mkimage -A mips -O linux -T kernel -a 0x80060000 -C lzma -M 0x4f4b4c49 -e 0x80060000 -n 'MIPS OpenWrt Linux-3.3.8' -d /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/vmlinux.bin.lzma /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/tmp/vmlinux-tl-wr1043nd-v1.okli
Image Name:   MIPS OpenWrt Linux-3.3.8
Created:      Sun Sep  2 21:55:23 2012
Image Type:   MIPS Linux Kernel Image (lzma compressed)
Data Size:    968361 Bytes = 945.67 kB = 0.92 MB
Load Address: 80060000
Entry Point:  80060000
( dd if=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/loader-tl-wr1043nd-v1.gz bs=7680 count=1 conv=sync; dd if=/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/tmp/vmlinux-tl-wr1043nd-v1.okli conv=sync; ) > /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/tmp/kernel-tl-wr1043nd-v1.bin
0+1 records in
1+0 records out
7680 bytes (7.7 kB) copied, 0.00262763 s, 2.9 MB/s
1891+1 records in
1892+0 records out
968704 bytes (969 kB) copied, 0.00258084 s, 375 MB/s
/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/staging_dir/host/bin/mktplinkfw -H 0x10430001 -W 1 -F 8M -N OpenWrt -V r33311 -k /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/tmp/kernel-tl-wr1043nd-v1.bin -r /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/build_dir/linux-ar71xx_generic/root.squashfs-raw -a 0x4 -j -o /home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin
[mktplinkfw] kernel length aligned to 976384
[mktplinkfw] firmware file "/home/risa/openwrt/OpenWrt-ImageBuilder-ar71xx_generic-for-pc-x86_64/bin/ar71xx/openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin" completed

comment:3 follow-up: Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:4 in reply to: ↑ 3 Changed 17 months ago by wbr@…

I just received the same error. The build log shows I'm well under 6MB image size for a 8MB flash.

So how do we know how much stuff we can add and how much is too much? ...before we wait 4 hours for a build failure...

Exportable Squashfs 4.0 filesystem, xz compressed, data block size 262144
        compressed data, compressed metadata, compressed fragments, no xattrs
        duplicates are removed
Filesystem size 6012.88 Kbytes (5.87 Mbytes)
        31.41% of uncompressed filesystem size (19145.91 Kbytes)
Inode table size 12300 bytes (12.01 Kbytes)
        25.15% of uncompressed inode table size (48900 bytes)
Directory table size 14436 bytes (14.10 Kbytes)
        48.11% of uncompressed directory table size (30006 bytes)
Number of duplicate files found 10
Number of inodes 1471
Number of files 1098
Number of fragments 45
Number of symbolic links  250
Number of device nodes 1
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 122
Number of ids (unique uids + gids) 1
Number of uids 1
        root (0)
Number of gids 1
        root (0)
/home/wbr/openwrt.git/staging_dir/host/bin/trx -o /home/wbr/openwrt.git/bin/brcm47xx/openwrt-brcm47xx-generic-squashfs.trx -f /home/wbr/openwrt.git/build_dir/target-mipsel_mips32_uClibc-0.9.33.2/linux-brcm47xx_generic/loader.gz -f /home/wbr/openwrt.git/build_dir/target-mipsel_mips32_uClibc-0.9.33.2/linux-brcm47xx_generic/vmlinux.lzma -a 1024 -f /home/wbr/openwrt.git/build_dir/target-mipsel_mips32_uClibc-0.9.33.2/linux-brcm47xx_generic/root.squashfs  -a 0x10000 -A /home/wbr/openwrt.git/build_dir/target-mipsel_mips32_uClibc-0.9.33.2/linux-brcm47xx_generic/fs_mark
mjn3's trx replacement - v0.81.1
fread failure or file "/home/wbr/openwrt.git/build_dir/target-mipsel_mips32_uClibc-0.9.33.2/linux-brcm47xx_generic/fs_mark" too large

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.